List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/applicators \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/applicators"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/applicators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/applicators",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 1598,
"name": "Bruno",
"address": null,
"phone_number": null,
"email": "SimaSoporte01@gmail.com",
"machines": [
2311
],
"created_at": "2019-04-01T13:54:15-03:00",
"modified_at": "2020-10-23T13:50:47-03:00",
"deleted_at": null,
"active": true
},
{
"id": 1615,
"name": "Juan Carlos Perez",
"address": null,
"phone_number": null,
"email": "SimaSoporte01@gmail.com",
"machines": [
2233,
2234,
2235,
2407,
5734,
6714
],
"created_at": "2019-04-08T10:18:46-03:00",
"modified_at": "2021-02-22T19:04:56-03:00",
"deleted_at": null,
"active": true
},
{
"id": 1658,
"name": "Sagro Sa",
"address": null,
"phone_number": null,
"email": null,
"machines": [
2312
],
"created_at": "2019-04-23T11:00:22-03:00",
"modified_at": "2020-10-23T13:48:18-03:00",
"deleted_at": null,
"active": true
},
{
"id": 2556,
"name": "Luciano",
"address": null,
"phone_number": null,
"email": null,
"machines": [
3707
],
"created_at": "2019-12-13T09:55:02-03:00",
"modified_at": "2019-12-13T09:55:02-03:00",
"deleted_at": null,
"active": true
},
{
"id": 2557,
"name": "Ricardo",
"address": null,
"phone_number": null,
"email": null,
"machines": [
3708
],
"created_at": "2019-12-13T09:55:53-03:00",
"modified_at": "2020-03-17T19:11:03-03:00",
"deleted_at": null,
"active": true
},
{
"id": 3479,
"name": "Mariano",
"address": null,
"phone_number": null,
"email": null,
"machines": [],
"created_at": "2020-08-12T14:48:12-03:00",
"modified_at": "2020-08-12T14:48:12-03:00",
"deleted_at": null,
"active": true
},
{
"id": 9138,
"name": "Abel Perez",
"address": null,
"phone_number": null,
"email": null,
"machines": [
5763
],
"created_at": "2020-10-23T13:57:11-03:00",
"modified_at": "2020-10-23T13:57:11-03:00",
"deleted_at": null,
"active": true
},
{
"id": 15476,
"name": "juan",
"address": null,
"phone_number": null,
"email": null,
"machines": [
6055
],
"created_at": "2020-12-09T08:19:10-03:00",
"modified_at": "2020-12-09T08:19:10-03:00",
"deleted_at": null,
"active": true
},
{
"id": 25903,
"name": "SYC",
"address": null,
"phone_number": null,
"email": null,
"machines": [],
"created_at": "2021-06-14T12:26:49-03:00",
"modified_at": "2021-06-14T12:26:49-03:00",
"deleted_at": null,
"active": true
},
{
"id": 25904,
"name": "AB",
"address": null,
"phone_number": null,
"email": null,
"machines": [
7498
],
"created_at": "2021-06-14T12:27:13-03:00",
"modified_at": "2023-05-15T09:54:56-03:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 1,
"total_pages": 1,
"total_items": 10
}{
"error": {
"code": 0,
"message": "Page \"20\" does not exist. The currentPage must be inferior to \"1\"",
"exception": [
{
"file": "/var/www/html/vendor/pagerfanta/pagerfanta/lib/Core/Pagerfanta.php",
"line": 274,
"function": "normalizeOutOfRangeCurrentPage",
"class": "Pagerfanta\\Pagerfanta",
"type": "->",
"args": [
20
]
},
{
"file": "/var/www/html/vendor/pagerfanta/pagerfanta/lib/Core/Pagerfanta.php",
"line": 246,
"function": "filterOutOfRangeCurrentPage",
"class": "Pagerfanta\\Pagerfanta",
"type": "->",
"args": [
20
]
},
{
"file": "/var/www/html/vendor/pagerfanta/pagerfanta/lib/Core/Pagerfanta.php",
"line": 200,
"function": "filterCurrentPage",
"class": "Pagerfanta\\Pagerfanta",
"type": "->",
"args": [
20
]
},
{
"file": "/var/www/html/src/Kodear/ApiBundle/Resource/Paginator/PaginatorResource.php",
"line": 51,
"function": "setCurrentPage",
"class": "Pagerfanta\\Pagerfanta",
"type": "->",
"args": [
20
]
},
{
"file": "/var/www/html/src/Kodear/ApiBundle/Controller/v3/ThirdParty/ApplicatorsController.php",
"line": 95,
"function": "getPaginator",
"class": "Kodear\\ApiBundle\\Resource\\Paginator\\PaginatorResource",
"type": "->",
"args": []
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 151,
"function": "list",
"class": "Kodear\\ApiBundle\\Controller\\v3\\ThirdParty\\ApplicatorsController",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 68,
"function": "handleRaw",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/Kernel.php",
"line": 200,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1,
true
]
},
{
"file": "/var/www/html/web/app_dev.php",
"line": 15,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\Kernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
}
]
}
}Version 3 > Applicators
List
GET
/
api
/
v3
/
third_party
/
applicators
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
OK
The response is of type object.

